Subject: RE: WG last call on PSAMP framwork until Sep 28

From: <[email-masked]>
Date: Thu, 19 Aug 2004 13:47:25 -0400

> -----Original Message-----
> From: Juergen Quittek [mailto:[email-masked]]
> Sent: Thursday, August 19, 2004 5:02 AM
> To: [email-masked]
> Subject: WG last call on PSAMP framwork until Sep 28
[..]
> Nick, can you please post a list of the changes?
> 

Changes version 05 -> 06 

o	Framework draft is informational
 	Other drafts will become PSAMP normative references

o	Language issues
 	"must", "should", and "may", for guidance

o	Abstract
 	Rewritten to reflect changes in document

o	Section 1.
 	Added PSAMP documents overview

o	Section 3.1
 	Added PSAMP architecture overview

o	Section 3.2-3.7 Terminology
 	Terminology broken out by selection/reporting/export process
 	Ordering not alphabetic, but forward dependencies now removed

o	Section 3.3. Selection State
 	Selection state is post processing of packets

o	Section 3.4 Packet Reports
 	Definition explicitly includes selection state

o	Section 3.7. PSAMP Device
 	Definition added (Similar to IPFIX device)

o	Section 3.10
 	Added description/pointer on interaction with IPFIX

o	Section 4. Generic requirements
 	Emphasize generic nature of requirements

o	Section 4.1. Generic selection requirements
 	Minor tweaking of "extensibility", "flexibility" and "parallel
measurement process" 
 	Encrypted packets: can be ignored when detected, detection
mechanisms left unspecified

o	Section 4.2 Generic reporting requirements
 	Minor tweaking of "self-defining" and "accuracy"
 	"Transparency" retermed as "indication of information loss" 

o	Section 5. Packet selection operations

o	Section 5.1. Terminology
 	Normative reference will be [PSAMP-TECH]
 	Include only terms used in framework.

o	Section 5.2. Selection Operations
 	Retained high level descriptions of selection operation
 	Removed material from old Section 4.2 on hashing applications
(it will appear in [PSAMP-TECH])

O	Section 5.3. Input Sequence Numbers
 	In a composite selector, report input sequence numbers for each
component selector

o	Removed old Section 4.6 on criteria for choice of selectors
Organizational Changes (4)

o	Section 6. Reporting Process
 	Question arose: whether to use IPFIX terminology
 	Resolution: retain PSAMP terminology (Better to have clean and
consistent set of definitions, IPFIX still in flux)

o	Sections 6.1. and 6.2
 	Clarification that Basic Reporting (i.e. first N bytes of
packets) is mandatory to support but optional to use. May want to use
extended reporting instead, if supported.

o	Section 8. Export Process

o 	Section 8.1. Reflect choice of IPFIX for export
 	IPFIX must support STCP-PR: congestion avoiding unreliable
transport 

	Substantial reorganization
	Omit old Section 7.7 on collector based rate reconfiguration

o	Section 13. Normative References
 	Placeholders for other PSAMP documents
 	Consequence: submission as RFC must wait till other docs
complete

Changes version 06 -> 07

o     New Section 5.3 on Selection Rate Terminology. (Restored terms
needed in Section 5.4) 

o	Section 11. Applications
 	Rework to bring out unique advantages of PSAMP

o	Section 13. Intellectual Property Statements

	Added boilerplate from RFC 3667

 	Update to reflect recent IP statement by AT&T to IETF
	
http://www.ietf.org/ietf/IPR/att-ipr-draft-ietf-psamp-framework.txt

 	Add reference to Cisco's assertion of IP to IETF
	
http://www.ietf.org/ietf/IPR/cisco-ipr-draft-ietf-psamp-protocol.txt

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/psamp/>